QGIS Application - Bug report #10104
new identification mode selection not working as expected
2014-04-22 10:18 PM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Nathan Woodrow

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18572
Description

The selection of the identification mode in the options is not effective. The dock is still shown, and apparently overrides the setting. So,
imho there's 2 issues:

- dock should not be shown if not needed

- dock does not read properly the setting at start

here's a demo: http://youtu.be/pS6CZZSrvuk

Related issues:
Related to QGIS Application - Bug report # 10321: Change in behavior of attri... Closed 2014-05-21

Associated revisions

Revision f46053d7 - 2014-06-11 10:04 PM - Jiirgen Fischer

don't reopen feature form when identify maptool is reactivated (fixes #10104)

History

#1 - 2014-04-22 11:04 PM - Nathan Woodrow

Ok that is just a settings sync issue. No worries. | will fix it this week.

Personally | think the dock should be shown as soon as the info button is pressed down, like it currently is. The dialog has now been reworked to always

show results even if you only have one feature. This is more consistent from a Ul point of view and the data is always in view. If you don't like it taking up

space at the bottom you can dock it behind the legend.

#2 - 2014-04-23 01:24 AM - Denis Rouzaud

OK.

If always shown, | think we should modify a bit the layer selection mode. We should provide a sub-level in the menu to choose between features if several

are identified.

#3 - 2014-04-23 01:48 AM - Nathan Woodrow

That is already the way it works. It's a tree with layer and feature items.

2024-03-13 1/3



http://youtu.be/pS6CZZSrvuk

#4 - 2014-04-23 01:55 AM - Denis Rouzaud

No | mean in the context menu in layer selection mode. So you don't need to look in the dock at all, even if several features on the same layer are identified.

#5 - 2014-04-23 05:49 AM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in commit:4fa33900

The options have been removed from the dialog as it doesn't make sense to have it in two places when it can change all the time.

#6 - 2014-04-29 01:09 AM - Denis Rouzaud

- Status changed from Closed to Reopened

If you hide the dock, and use identify map tool, the selection mode is not kept and is set again to current layer.

Also, | do believe the dock should not be shown if not needed (single result with open form).

I am not a fan of this new behavior. While | agree it is nicer than before, it just overloads the Ul if layer selection mode is used.

#7 - 2014-04-29 01:38 AM - Nathan Woodrow

| will take a look tonight.

The current behavior is correct, hence why | changed it. The old method is way to inconstant and hurt the user experience with the tool. If you don't wish to
see the dock widget just hide it behind something like the legend. It doesn't come to the front when the tree changes so you can leave it there forever
without ever looking at it.

| also don't see the issue with the Layer Selection mode.

Like | have said before these options are not a set "once and forget" kind of thing, so having a single place in the Ul for them is the correct way. The dialog
is also related to the info tool so that is where they belong. | should very rarely have to visit the options dialog.

#8 - 2014-04-29 01:43 AM - Denis Rouzaud

For the bug:

1. set the mode to layer selection

2. hide the dock

3. identify

-> the mode came back to current layer

| do agree it is nice to have the settings in there. this truly is an improvement. | don't want to come back to the settings in the options.

Now, what | would like is to be able to hide the dock, and not show it again if not needed/asked.

| have several docks, and even if the dock is hidden, this adds tabs to the Ul (choosing between docks). Even if not very large, this is still one more thing
you see.
That is why | think, the dock should not be shown, if not needed (single result found with direct open form).

#9 - 2014-04-29 01:53 AM - Nathan Woodrow

Ok | think we can solve this by doing the same thing as the legend. The first load will show it but after that it doesn't call show, if you close it then you will
have to come back like the legend (View menu or right click).

Using the above change will give you back the result you need. The results will still be added for single result but if you have auto open form and the dock
hidden it will not be seen.

Having the results not populated on single result is a bug not a feature IMO so | will not be bringing that back. The auto open feature form is a extra feature
of the info dock itself not the tool, so it should always been clear to the user what is going on or what the options are.

Happy with that?

#10 - 2014-04-30 07:41 AM - Denis Rouzaud

yeah, this sounds perfect.

thanks.

#11 - 2014-05-13 07:28 AM - Denis Rouzaud

issues as of today:

- if dock is hidden, it's put on top every time you use the tool
- identify a feature, then use another map tool then re-enable identify map tool => will open last open form

#12 - 2014-05-24 09:23 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Target version changed from Future Release - High Priority to Version 2.4

- Resolution deleted (fixed/implemented)

when looking at/fixing this ticket please also see #10321

| also agree that the highlighting if identified features should disappear when closing the (new) dialog as it happens in qgis <= 2.2, but maybe the change

was on purpose.

#13 - 2014-06-11 01:05 PM - Jiirgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"f46053d7dee0a1672c871763a13991604b0e670a".
